org.bdgenomics.adam.models

# ReferenceRegion

#### object ReferenceRegion extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ReferenceRegion
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(feature: Feature): ReferenceRegion

7. #### def apply(fragment: NucleotideContigFragment): Option[ReferenceRegion]

   Generates a reference region from assembly data.

   Generates a reference region from assembly data. Returns None if the assembly does not have an ID or a start position.

   fragment

     Assembly fragment from which to generate data.

   returns

     Region corresponding to inclusive region of contig fragment.

8. #### def apply(pos: ReferencePosition): ReferenceRegion

   Generates a region from a given position -- the region will have a length of 1.

   Generates a region from a given position -- the region will have a length of 1.

   pos

     The position to convert

   returns

     A 1-wide region at the same location as pos

9. #### def apply(record: AlignmentRecord): ReferenceRegion

   Generates a reference region from read data.

   Generates a reference region from read data. Returns None if the read is not mapped; else, returns the inclusive region from the start to the end of the read alignment.

   record

     Read to create region from.

   returns

     Region corresponding to inclusive region of read alignment, if read is mapped.

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### implicit def orderingForOptionalPositions: OptionalRegionOrdering.type

22. #### implicit def orderingForPositions: RegionOrdering.type

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped